<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>gtkglextmm: Gdk::GL::Window Class Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.4.4 -->
<div class="qindex"><a class="qindex" href="index.html">Main&nbsp;Page</a> | <a class="qindex" href="modules.html">Modules</a> | <a class="qindex" href="namespaces.html">Namespace List</a> | <a class="qindex" href="hierarchy.html">Class&nbsp;Hierarchy</a> | <a class="qindex" href="classes.html">Alphabetical&nbsp;List</a> | <a class="qindex" href="annotated.html">Class&nbsp;List</a> | <a class="qindex" href="dirs.html">Directories</a> | <a class="qindex" href="files.html">File&nbsp;List</a> | <a class="qindex" href="namespacemembers.html">Namespace&nbsp;Members</a> | <a class="qindex" href="functions.html">Class&nbsp;Members</a> | <a class="qindex" href="globals.html">File&nbsp;Members</a> | <a class="qindex" href="examples.html">Examples</a></div>
<div class="nav">
<a class="el" href="namespaceGdk.html">Gdk</a>::<a class="el" href="namespaceGdk_1_1GL.html">GL</a>::<a class="el" href="classGdk_1_1GL_1_1Window.html">Window</a></div>
<h1>Gdk::GL::Window Class Reference<br>
<small>
[<a class="el" href="group__GLDrawables.html">GL Drawables</a>]</small>
</h1><!-- doxytag: class="Gdk::GL::Window" --><!-- doxytag: inherits="Gdk::GL::Drawable" --><code>#include &lt;<a class="el" href="window_8h-source.html">window.h</a>&gt;</code>
<p>
Inheritance diagram for Gdk::GL::Window:<p><center><img src="classGdk_1_1GL_1_1Window__inherit__graph.png" border="0" usemap="#Gdk_1_1GL_1_1Window__inherit__map" alt="Inheritance graph"></center>
<map name="Gdk_1_1GL_1_1Window__inherit__map">
<area href="classGdk_1_1GL_1_1Drawable.html" shape="rect" coords="7,9,141,33" alt="">
</map>
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center>Collaboration diagram for Gdk::GL::Window:<p><center><img src="classGdk_1_1GL_1_1Window__coll__graph.png" border="0" usemap="#Gdk_1_1GL_1_1Window__coll__map" alt="Collaboration graph"></center>
<map name="Gdk_1_1GL_1_1Window__coll__map">
<area href="classGdk_1_1GL_1_1Drawable.html" shape="rect" coords="7,9,141,33" alt="">
</map>
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center><a href="classGdk_1_1GL_1_1Window-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGdk_1_1GL_1_1Window.html#a0">~Window</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">GdkGLWindow *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGdk_1_1GL_1_1Window.html#a1">gobj</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Provides access to the underlying C GObject.  <a href="#a1"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const GdkGLWindow *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGdk_1_1GL_1_1Window.html#a2">gobj</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Provides access to the underlying C GObject.  <a href="#a2"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">GdkGLWindow *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGdk_1_1GL_1_1Window.html#a3">gobj_copy</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.  <a href="#a3"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">Glib::RefPtr&lt; Gdk::Window &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGdk_1_1GL_1_1Window.html#a4">get_window</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">Glib::RefPtr&lt; const Gdk::Window &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGdk_1_1GL_1_1Window.html#a5">get_window</a> () const </td></tr>

<tr><td colspan="2"><br><h2>Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static Glib::RefPtr&lt; <a class="el" href="classGdk_1_1GL_1_1Window.html">Window</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGdk_1_1GL_1_1Window.html#e0">create</a> (const Glib::RefPtr&lt; const <a class="el" href="classGdk_1_1GL_1_1Config.html">Config</a> &gt; &amp;glconfig, const Glib::RefPtr&lt; const Gdk::Window &gt; &amp;window, const int *attrib_list=0)</td></tr>

<tr><td colspan="2"><br><h2>Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGdk_1_1GL_1_1Window.html#b0">Window</a> (const Glib::RefPtr&lt; const <a class="el" href="classGdk_1_1GL_1_1Config.html">Config</a> &gt; &amp;glconfig, const Glib::RefPtr&lt; const Gdk::Window &gt; &amp;window, const int *attrib_list=0)</td></tr>

<tr><td colspan="2"><br><h2>Related Functions</h2></td></tr>
<tr><td colspan="2">(Note that these are not member functions.) <br><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">Glib::RefPtr&lt; <a class="el" href="classGdk_1_1GL_1_1Window.html">Gdk::GL::Window</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGdk_1_1GL_1_1Window.html#m0">wrap</a> (GdkGLWindow *object, bool take_copy=false)</td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
OpenGL window which is located onscreen.
<p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="a0"></a><!-- doxytag: member="Gdk::GL::Window::~Window" ref="a0" args="()" --><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top">virtual Gdk::GL::Window::~Window           </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="mdname1" valign="top" nowrap>          </td>
          <td class="md" valign="top">&nbsp;)&nbsp;</td>
          <td class="md" nowrap><code> [virtual]</code></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
    </td>
  </tr>
</table>
<a class="anchor" name="b0"></a><!-- doxytag: member="Gdk::GL::Window::Window" ref="b0" args="(const Glib::RefPtr&lt; const Config &gt; &amp;glconfig, const Glib::RefPtr&lt; const Gdk::Window &gt; &amp;window, const int *attrib_list=0)" --><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top">Gdk::GL::Window::Window           </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top">const Glib::RefPtr&lt; const <a class="el" href="classGdk_1_1GL_1_1Config.html">Config</a> &gt; &amp;&nbsp;</td>
          <td class="mdname" nowrap> <em>glconfig</em>, </td>
        </tr>
        <tr>
          <td class="md" nowrap align="right"></td>
          <td class="md"></td>
          <td class="md" nowrap>const Glib::RefPtr&lt; const Gdk::Window &gt; &amp;&nbsp;</td>
          <td class="mdname" nowrap> <em>window</em>, </td>
        </tr>
        <tr>
          <td class="md" nowrap align="right"></td>
          <td class="md"></td>
          <td class="md" nowrap>const int *&nbsp;</td>
          <td class="mdname" nowrap> <em>attrib_list</em> = <code>0</code></td>
        </tr>
        <tr>
          <td class="md"></td>
          <td class="md">)&nbsp;</td>
          <td class="md" colspan="2"><code> [protected]</code></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
    </td>
  </tr>
</table>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="e0"></a><!-- doxytag: member="Gdk::GL::Window::create" ref="e0" args="(const Glib::RefPtr&lt; const Config &gt; &amp;glconfig, const Glib::RefPtr&lt; const Gdk::Window &gt; &amp;window, const int *attrib_list=0)" --><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top">static Glib::RefPtr&lt;<a class="el" href="classGdk_1_1GL_1_1Window.html">Window</a>&gt; Gdk::GL::Window::create           </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top">const Glib::RefPtr&lt; const <a class="el" href="classGdk_1_1GL_1_1Config.html">Config</a> &gt; &amp;&nbsp;</td>
          <td class="mdname" nowrap> <em>glconfig</em>, </td>
        </tr>
        <tr>
          <td class="md" nowrap align="right"></td>
          <td class="md"></td>
          <td class="md" nowrap>const Glib::RefPtr&lt; const Gdk::Window &gt; &amp;&nbsp;</td>
          <td class="mdname" nowrap> <em>window</em>, </td>
        </tr>
        <tr>
          <td class="md" nowrap align="right"></td>
          <td class="md"></td>
          <td class="md" nowrap>const int *&nbsp;</td>
          <td class="mdname" nowrap> <em>attrib_list</em> = <code>0</code></td>
        </tr>
        <tr>
          <td class="md"></td>
          <td class="md">)&nbsp;</td>
          <td class="md" colspan="2"><code> [static]</code></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
    </td>
  </tr>
</table>
<a class="anchor" name="a5"></a><!-- doxytag: member="Gdk::GL::Window::get_window" ref="a5" args="() const " --><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top">Glib::RefPtr&lt;const Gdk::Window&gt; Gdk::GL::Window::get_window           </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="mdname1" valign="top" nowrap>          </td>
          <td class="md" valign="top">&nbsp;)&nbsp;</td>
          <td class="md" nowrap> const</td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Returns the Gdk::Window associated with <em>glwindow</em> .<p>
Notice that Gdk::GLWindow is not Gdk::Window, but another Gdk::Drawable which have an associated Gdk::Window. <dl compact><dt><b>Returns:</b></dt><dd>The Gdk::Window associated with <em>glwindow</em> .</dd></dl>
    </td>
  </tr>
</table>
<a class="anchor" name="a4"></a><!-- doxytag: member="Gdk::GL::Window::get_window" ref="a4" args="()" --><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top">Glib::RefPtr&lt;Gdk::Window&gt; Gdk::GL::Window::get_window           </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="mdname1" valign="top" nowrap>          </td>
          <td class="md" valign="top">&nbsp;)&nbsp;</td>
          <td class="md" nowrap></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Returns the Gdk::Window associated with <em>glwindow</em> .<p>
Notice that Gdk::GLWindow is not Gdk::Window, but another Gdk::Drawable which have an associated Gdk::Window. <dl compact><dt><b>Returns:</b></dt><dd>The Gdk::Window associated with <em>glwindow</em> .</dd></dl>
    </td>
  </tr>
</table>
<a class="anchor" name="a2"></a><!-- doxytag: member="Gdk::GL::Window::gobj" ref="a2" args="() const " --><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top">const GdkGLWindow* Gdk::GL::Window::gobj           </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="mdname1" valign="top" nowrap>          </td>
          <td class="md" valign="top">&nbsp;)&nbsp;</td>
          <td class="md" nowrap> const<code> [inline]</code></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Provides access to the underlying C GObject. 
<p>

<p>
Reimplemented from <a class="el" href="classGdk_1_1GL_1_1Drawable.html#a2">Gdk::GL::Drawable</a>.    </td>
  </tr>
</table>
<a class="anchor" name="a1"></a><!-- doxytag: member="Gdk::GL::Window::gobj" ref="a1" args="()" --><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top">GdkGLWindow* Gdk::GL::Window::gobj           </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="mdname1" valign="top" nowrap>          </td>
          <td class="md" valign="top">&nbsp;)&nbsp;</td>
          <td class="md" nowrap><code> [inline]</code></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Provides access to the underlying C GObject. 
<p>

<p>
Reimplemented from <a class="el" href="classGdk_1_1GL_1_1Drawable.html#a1">Gdk::GL::Drawable</a>.    </td>
  </tr>
</table>
<a class="anchor" name="a3"></a><!-- doxytag: member="Gdk::GL::Window::gobj_copy" ref="a3" args="()" --><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top">GdkGLWindow* Gdk::GL::Window::gobj_copy           </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="mdname1" valign="top" nowrap>          </td>
          <td class="md" valign="top">&nbsp;)&nbsp;</td>
          <td class="md" nowrap></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. 
<p>
    </td>
  </tr>
</table>
<hr><h2>Friends And Related Function Documentation</h2>
<a class="anchor" name="m0"></a><!-- doxytag: member="Gdk::GL::Window::wrap" ref="m0" args="(GdkGLWindow *object, bool take_copy=false)" --><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top">Glib::RefPtr&lt; <a class="el" href="classGdk_1_1GL_1_1Window.html">Gdk::GL::Window</a> &gt; wrap           </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top">GdkGLWindow *&nbsp;</td>
          <td class="mdname" nowrap> <em>object</em>, </td>
        </tr>
        <tr>
          <td class="md" nowrap align="right"></td>
          <td class="md"></td>
          <td class="md" nowrap>bool&nbsp;</td>
          <td class="mdname" nowrap> <em>take_copy</em> = <code>false</code></td>
        </tr>
        <tr>
          <td class="md"></td>
          <td class="md">)&nbsp;</td>
          <td class="md" colspan="2"><code> [related]</code></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>object</em>&nbsp;</td><td>The C instance </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>take_copy</em>&nbsp;</td><td>False if the result should take ownership of the C instance. True if it should take a new copy or ref. </td></tr>
  </table>
</dl>
<dl compact><dt><b>Returns:</b></dt><dd>A C++ instance that wraps this C instance.</dd></dl>
    </td>
  </tr>
</table>
<hr>The documentation for this class was generated from the following file:<ul>
<li>gdkmm/gl/<a class="el" href="window_8h-source.html">window.h</a></ul>
<hr size="1"><address style="align: right;"><small>Generated on Mon Feb 27 18:47:57 2006 for gtkglextmm by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.4 </small></address>
</body>
</html>
